interface IMultipleSelectionOption<T> {
    value: T;
    index: number;
    selected: boolean;
    select(): void;
    unselect(): void;
    toggle(): void;
}
export declare function useMultipleSelection<T>(values: T[], defaultSelectedIndexes?: number[]): {
    values: T[];
    options: Array<IMultipleSelectionOption<T>>;
};
export {};
